## python-simpy 2.3.1+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) \
		source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* ./html

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ./html
	@echo
	@echo "Build finished. The HTML pages are in ./html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SimPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SimPy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SimPy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SimPy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-simpy 1.4-0.1

=== debian/changelog ===
python-simpy (1.4-0.1) unstable; urgency=low

  * NMU.
  * New upstream release, thanks to Tony Vignaux (Closes: #230731).
  * New GUI stuff: Moved in separate package.
  * Changed build to CDBS and latest debhelper.

 -- W. Borgert <debacle@debian.org>  Wed, 04 Feb 2004 22:02:20 +0000

python-simpy (1.3-0.2) unstable; urgency=low

  * NMU.
  * Fix python interpreter in python2.3-simpy package (closes: #207316).

 -- Matthias Klose <doko@debian.org>  Fri,  5 Sep 2003 23:01:11 +0200

python-simpy (1.3-0.1) unstable; urgency=low

  * New upstream (closes: #192526, #198586).
  * Depends on Debian's default Python version 2.3.
  * Orphaned the package.

 -- W. Borgert <debacle@debian.org>  Sun, 10 Aug 2003 18:54:12 +0200

python-simpy (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- W. Borgert <debacle@debian.org>  Sun, 12 Jan 2003 12:53:57 +0000

=== debian/control ===
Source: python-simpy
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: debhelper (>= 4.1.89), python2.3-dev, cdbs
Standards-Version: 3.6.1

Package: python-simpy
Architecture: all
Depends: ${python:Depends}
Recommends: python2.3-simpy-gui
Description: SimPy -- a Python-based simulation package [dummy package]
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 This package is an empty dummy package that always depends on a
 package built for Debian's default Python version.
 .
 SimPy's homepage is http://simpy.sourceforge.net/.

Package: python2.3-simpy
Architecture: all
Replaces: python2.2-simpy
Depends: ${python:Depends}
Description: SimPy -- a Python-based simulation package
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 It provides the modeller with components of a simulation model.
 These include processes, for active components like customers,
 messages, and vehicles, and resources, for passive components that
 form limited capacity congestion points like servers, checkout
 counters, and tunnels.  It also provides monitor variables to aid in
 gathering statistics.
 .
 SimPy's homepage is http://simpy.sourceforge.net/.

Package: python2.3-simpy-gui
Architecture: all
Depends: ${python:Depends}, python2.3-simpy, python2.3-tk
Description: SimPy -- a Python-based simulation package, GUI
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 This package contains the GUI parts of SimPy.
 .
 SimPy's homepage is http://simpy.sourceforge.net/.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

P23S=$(shell pwd)/debian/tmp
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0 --root=$(P23S)

common-install-prehook-indep::
#	Fix lintian warning
	mkdir -p $(P23S)/usr/share/doc/python2.3-simpy; \
	cp CHANGES_FROM_VERSION_1_3.txt \
	    $(P23S)/usr/share/doc/python2.3-simpy/changelog

#	Copy documentation
	cp -R SimPyDocs/* $(P23S)/usr/share/doc/python2.3-simpy/
#	rename files with space, it's just too ugly (upstream bug #890942)
	( cd $(P23S)/usr/share/doc/python2.3-simpy; \
	    mv -i Interfacing/SimGUI\ manual Interfacing/SimGUI_manual; \
	    mv -i Interfacing/SimGUI_manual/SimGUI\ manual.html \
		Interfacing/SimGUI_manual/SimGUI_manual.html; \
	    mv -i Interfacing/SimGUI_manual/SimGUI\ manual.txt \
		Interfacing/SimGUI_manual/SimGUI_manual.txt; \
	    mv -i Interfacing/SimPlot\ manual Interfacing/SimPlot_manual )

#	Copy examples
	mkdir -p $(P23S)/usr/share/doc/python2.3-simpy/examples; \
	cp -R SimPyModels/* $(P23S)/usr/share/doc/python2.3-simpy/examples/; \
	cp SimPy/testSimPy.py $(P23S)/usr/share/doc/python2.3-simpy/examples/

#	remove some weird files/dirs (upstream bugs #890942, #895215, #895223)
	find $(P23S) -depth \( -name "_vti_*" -o -name CVS \
	    -o -name '*.html.html' \) -exec rm -rf {} \; ; \
	rm -f $(P23S)/usr/share/doc/python2.3-simpy/LISTOFMODELS.html

binary-post-install/python2.3-simpy binary-post-install/python2.3-simpy-gui::
#	Replace all '#!' calls to python with /usr/bin/python2.3 and
#	make them executable. Might not be necessary with future
#	versions (>> 1.22.9) of lintian!
	for i in `find debian/python2.3-simpy*/ -name '*.py' -type f`; do \
	    sed '1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python2.3\1,' \
		$$i > $$i.temp; \
	    if cmp --quiet $$i $$i.temp; then \
		rm -f $$i.temp; \
	    else \
		mv -f $$i.temp $$i; \
		echo "fixed interpreter: $$i"; \
	    fi; \
	    head -1 $$i | grep -q '^#!.*python'; \
	    if [ "$$?" -eq 1 ]; then \
		echo '#!/usr/bin/python2.3' > $$i.temp; \
		cat $$i >> $$i.temp; \
		mv -f $$i.temp $$i; \
	    fi; \
	    chmod 755 $$i; \
	done

## python-simpy 2.2

=== debian/changelog ===
python-simpy (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #644671)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Wed, 12 Oct 2011 22:25:38 +0200

python-simpy (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #463044)
  * Take over the package under the Python Modules Team.
     - Thanks Antal A. Buss for your work on this package.
  
  * Add debian/watch file
  * Update Standards-Version to 3.9.2 (no changes)
  * Bump dehelper compat level to 8
  * Switch to dh_python2
  * Switch to the 3.0 (quilt) source format
  * Build the documentation from source
  * Drop old Conflicts/Replaces
  * Update the copyright file, switch to DEP5

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sat, 20 Aug 2011 15:26:35 +0200

python-simpy (1.8-1) unstable; urgency=low

  * New upstream release (Closes: #409997)
  * add Homepage fields and remove Homepage from package description.
  * Removed pycompat file and X{B|S}-Python related fields
	
 -- Antal A. Buss <abuss@puj.edu.co>  Sun,  9 Dec 2007 02:08:36 -0500

python-simpy (1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #359028, #340295, #376083)
  * Acknowledge NMU (Closes: #373354)
  * Rewrite rules to follow new Python policy using python-support
  * Removed python2.3-simpy and python2.3-simpy-gui. 

 -- Antal A. Buss <abuss@puj.edu.co>  Wed, 16 Aug 2006 23:19:50 -0500

python-simpy (1.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373354).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 15:25:51 +0200

python-simpy (1.6-1) unstable; urgency=low

  * New upstream release (closes: #313350)

 -- Antal A. Buss <abuss@puj.edu.co>  Mon, 13 Jun 2005 01:21:18 -0500

python-simpy (1.5.1-3) unstable; urgency=low

  * Fix section conflict in doc package

 -- Antal A. Buss <abuss@puj.edu.co>  Sun, 27 Mar 2005 21:36:06 -0500

python-simpy (1.5.1-2) unstable; urgency=low

  * Fix build depends (Closes: #300741)

 -- Antal A. Buss <abuss@puj.edu.co>  Sun, 20 Mar 2005 23:58:33 -0500

python-simpy (1.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #285003, #293680)
  * New maintainer (Closes: #206274)
  * Moved docs in separated package.

 -- Antal A. Buss <abuss@puj.edu.co>  Sat,  5 Feb 2005 03:00:48 -0500

python-simpy (1.4.2-2) unstable; urgency=low

  * QA Upload
  * Remove GUIdemo.py from python-simpy (closes: 260679)

 -- Pierre Machard <pmachard@debian.org>  Fri, 23 Jul 2004 19:09:20 +0200

python-simpy (1.4.2-1) unstable; urgency=low

  * QA Upload 
  * Add python as Build-Depends (closes: #259123)
  * New upstream release (closes: #242988, #252003)

 -- Pierre Machard <pmachard@debian.org>  Mon, 19 Jul 2004 00:56:33 +0200

=== debian/control ===
Source: python-simpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends: debhelper (>= 8.0.0~), python-all (>= 2.6.6-3~), python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.2
Homepage: http://simpy.sourceforge.net/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-simpy/trunk/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-simpy/trunk/

Package: python-simpy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-simpy-doc, python-simpy-gui
Description: python-based simulation package 
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 It provides the modeller with components of a simulation  model. 
 These include processes, for active components like customers, messages, 
 and vehicles, and resources, for passive components that form limited 
 capacity congestion points like servers, checkout counters, and tunnels. 
 It also provides monitor variables to aid in gathering statistics. 
 SimPy comes with extensive plotting capabilities.


Package: python-simpy-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: python-based simulation package, Documentation and examples
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 It provides the modeller with components of a simulation  model. 
 These include processes, for active components like customers, messages, 
 and vehicles, and resources, for passive components that form limited 
 capacity congestion points like servers, checkout counters, and tunnels. 
 It also provides monitor variables to aid in gathering statistics. 
 SimPy comes with extensive plotting capabilities.
 .
 This package contains the HTML docs and examples of SimPy.


Package: python-simpy-gui
Architecture: all
Depends: ${python:Depends}, python-simpy (= ${binary:Version}), python-tk, ${misc:Depends}
Description: python-based simulation package, GUI
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 It provides the modeller with components of a simulation  model. 
 These include processes, for active components like customers, messages, 
 and vehicles, and resources, for passive components that form limited 
 capacity congestion points like servers, checkout counters, and tunnels. 
 It also provides monitor variables to aid in gathering statistics. 
 SimPy comes with extensive plotting capabilities.
 .
 This package contains the GUI parts of SimPy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	mv docs/html docs/html.old && make -C docs html

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs
	# install the upstream changelog at the right place in the doc package
	dh_installchangelogs -ppython-simpy-doc docs/source/Manuals/HISTORY.rst

override_dh_compress:
	dh_compress -X.py -X.txt

override_dh_auto_install:
	# Replace broken shebangs with /usr/bin/python
	find build/ -name '*.py' -exec sed -i -e '1s|^#!.*python.*|#!/usr/bin/python|' '{}' ';'

	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean

	if [ -d docs/html.old ]; then make -C docs clean && mv docs/html.old docs/html; fi

## python-simpy 2.3.1

=== debian/changelog ===
python-simpy (2.3.1-1) unstable; urgency=low

  * New upstream release
    - Add a patch to fix the sphinx documentation build
    - Add a patch to fix README.txt's encoding for the python3 build
  * Add a python3-simpy binary package (SimPy now supports Python3!) 
  * Update to Standards-Version 3.9.3 (no changes)
  * Update the copyright file
    - Add the new contributors
    - Update format to 1.0
  * Run the tests at build-time (adding a Build-Depend on python-pytest)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Tue, 17 Apr 2012 20:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
-Build-Depends: debhelper (>= 8.0.0~), python-all (>= 2.6.6-3~), python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.2
+Build-Depends: 
+ debhelper (>= 8),
+ python-all (>= 2.6.6-3~),
+ python3-all,
+ python-pytest,
+ python-sphinx (>= 1.0.7+dfsg-1~)
+Standards-Version: 3.9.3
 Homepage: http://simpy.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-simpy/trunk/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-simpy/trunk/
@@ -23,6 +28,23 @@
  capacity congestion points like servers, checkout counters, and tunnels. 
  It also provides monitor variables to aid in gathering statistics. 
  SimPy comes with extensive plotting capabilities.
+
+Package: python3-simpy
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python-simpy-doc
+Description: python-based simulation package (Python3 version) 
+ SimPy is a process-based discrete-event simulation language based on
+ standard Python.
+ .
+ It provides the modeller with components of a simulation  model. 
+ These include processes, for active components like customers, messages, 
+ and vehicles, and resources, for passive components that form limited 
+ capacity congestion points like servers, checkout counters, and tunnels. 
+ It also provides monitor variables to aid in gathering statistics. 
+ SimPy comes with extensive plotting capabilities.
+ .
+ This package contains the Python3 version of SimPy.
 
 
 Package: python-simpy-doc

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,29 @@
 
 #export DH_VERBOSE=1
 
-VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
+VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
+
+PY2VERSIONS = $(shell pyversions -vr)
+PY3VERSIONS = $(shell py3versions -vr)
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build
+
+	set -e; for version in $(PY3VERSIONS); do \
+	  python$$version setup.py build; \
+	done
+
 	mv docs/html docs/html.old && make -C docs html
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	set -e; for version in $(PY2VERSIONS) $(PY3VERSIONS); do \
+	  python$$version -c 'import SimPy; SimPy.test()'; \
+	done
+endif
 
 override_dh_install:
 	dh_install --fail-missing
@@ -29,7 +44,21 @@
 
 	dh_auto_install
 
+	set -e; for version in $(PY3VERSIONS); do \
+	  python$$version setup.py install --no-compile -O0 --install-layout=deb --root $(CURDIR)/debian/tmp; \
+	done
+
+	# Remove deprecated python3 gui stuff
+	cd $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/SimPy && \
+	    rm GUIDebug.py SimGUI.py SimPlot.py SimulationGUIDebug.py tkconsole.py tkprogressbar.py
+
 override_dh_auto_clean:
 	dh_auto_clean
 
+	set -e; for version in $(PY3VERSIONS); do \
+	  python$$version setup.py clean; \
+	done
+
+	rm -rf SimPy/__pycache__/
+
 	if [ -d docs/html.old ]; then make -C docs clean && mv docs/html.old docs/html; fi

=== debian/watch ===
version=3
opts="uversionmangle=s/([A-Za-z]+)/~$1/" \
http://sf.net/simpy/SimPy-(.+)\.tar\..*

## python-simpy 2.3.1%2Bdfsg

=== debian/changelog ===
python-simpy (2.3.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools (Closes: #1047295)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 23:14:12 +0100

python-simpy (2.3.1+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-simpy-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:39:10 +0100

python-simpy (2.3.1+dfsg-4) unstable; urgency=medium

  * debian/patches/doc-disable-annotate-extension.patch
    - disable extension which fails with recent Sphinx, also removed
      upstream in latest releases; Closes: #955055

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 01:39:39 -0400

python-simpy (2.3.1+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 12:12:58 -0400

python-simpy (2.3.1+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938174
  * Update upstream homepage to point to GitLab
  * debian/watch
    - point to PyPI

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jan 2020 19:13:14 -0500

python-simpy (2.3.1+dfsg-1) unstable; urgency=low

  * Team upload

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * Use local objects.inv for intersphinx mapping (Closes: #830607)
  * Added dh-python to build depends

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 9
  * remove doc/html from upstream source

 -- Andreas Tille <tille@debian.org>  Mon, 08 Aug 2016 10:48:15 +0200

## python-simpy 2.3.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: python-simpy
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
-Build-Depends: 
- debhelper (>= 8),
- python-all (>= 2.6.6-3~),
- python3-all,
- python-pytest,
- python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python3-all,
+               python3-doc,
+               python-pytest,
+               python-sphinx
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-simpy.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-simpy.git
 Homepage: http://simpy.sourceforge.net/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-simpy/trunk/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-simpy/trunk/
 
 Package: python-simpy
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Recommends: python-simpy-doc, python-simpy-gui
-Description: python-based simulation package 
+Depends: ${python:Depends},
+         ${misc:Depends}
+Recommends: python-simpy-doc,
+            python-simpy-gui
+Description: python-based simulation package
  SimPy is a process-based discrete-event simulation language based on
  standard Python.
  .
@@ -31,9 +34,10 @@
 
 Package: python3-simpy
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends}
 Recommends: python-simpy-doc
-Description: python-based simulation package (Python3 version) 
+Description: python-based simulation package (Python3 version)
  SimPy is a process-based discrete-event simulation language based on
  standard Python.
  .
@@ -46,11 +50,14 @@
  .
  This package contains the Python3 version of SimPy.
 
-
 Package: python-simpy-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends},
+         libjs-jquery,
+         libjs-underscore,
+         python3-doc,
 Description: python-based simulation package, Documentation and examples
  SimPy is a process-based discrete-event simulation language based on
  standard Python.
@@ -64,10 +71,12 @@
  .
  This package contains the HTML docs and examples of SimPy.
 
-
 Package: python-simpy-gui
 Architecture: all
-Depends: ${python:Depends}, python-simpy (= ${binary:Version}), python-tk, ${misc:Depends}
+Depends: ${python:Depends},
+         python-simpy (= ${binary:Version}),
+         python-tk,
+         ${misc:Depends}
 Description: python-based simulation package, GUI
  SimPy is a process-based discrete-event simulation language based on
  standard Python.
@@ -80,4 +89,3 @@
  SimPy comes with extensive plotting capabilities.
  .
  This package contains the GUI parts of SimPy.
-

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	  python$$version setup.py build; \
 	done
 
-	mv docs/html docs/html.old && make -C docs html
+	make -C docs html
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -61,4 +61,4 @@
 
 	rm -rf SimPy/__pycache__/
 
-	if [ -d docs/html.old ]; then make -C docs clean && mv docs/html.old docs/html; fi
+	rm -rf docs/html

=== debian/watch ===
version=3
opts="uversionmangle=s/([A-Za-z]+)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://sf.net/simpy/SimPy-(.+)\.tar\..*
